=== LAPACKE/src/Makefile ===
##############################################################################
# Copyright (c) 2014, Intel Corp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#   * Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of Intel Corporation nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
##############################################################################
# Contents: Native C interface to LAPACK
# Author: Intel Corporation
##############################################################################
# makefile for LAPACKE, used to build lapacke binary.
#
# Note: we use multiple OBJ_S, OBJ_C, etc, instead of a single OBJ
# to allow build with mingw (argument list too long for the msys ar)
#
TOPSRCDIR = ../..
include $(TOPSRCDIR)/make.inc

.SUFFIXES: .c .o
.c.o:
	$(CC) $(CFLAGS) -Wall -I../include -c -o $@ $<

OBJ = \
lapacke_ilaver.o \
lapacke_nancheck.o

OBJ_C = \
lapacke_cbbcsd.o \
lapacke_cbbcsd_work.o \
lapacke_cbdsqr.o \
lapacke_cbdsqr_work.o \
lapacke_cgbbrd.o \
lapacke_cgbbrd_work.o \
lapacke_cgbcon.o \
lapacke_cgbcon_work.o \
lapacke_cgbequ.o \
lapacke_cgbequ_work.o \
lapacke_cgbequb.o \
lapacke_cgbequb_work.o \
lapacke_cgbrfs.o \
lapacke_cgbrfs_work.o \
lapacke_cgbsv.o \
lapacke_cgbsv_work.o \
lapacke_cgbsvx.o \
lapacke_cgbsvx_work.o \
lapacke_cgbtrf.o \
lapacke_cgbtrf_work.o \
lapacke_cgbtrs.o \
lapacke_cgbtrs_work.o \
lapacke_cgebak.o \
lapacke_cgebak_work.o \
lapacke_cgebal.o \
lapacke_cgebal_work.o \
lapacke_cgebrd.o \
lapacke_cgebrd_work.o \
lapacke_cgecon.o \
lapacke_cgecon_work.o \
lapacke_cgeequ.o \
lapacke_cgeequ_work.o \
lapacke_cgeequb.o \
lapacke_cgeequb_work.o \
lapacke_cgees.o \
lapacke_cgees_work.o \
lapacke_cgeesx.o \
lapacke_cgeesx_work.o \
lapacke_cgeev.o \
lapacke_cgeev_work.o \
lapacke_cgeevx.o \
lapacke_cgeevx_work.o \
lapacke_cgehrd.o \
lapacke_cgehrd_work.o \
lapacke_cgejsv.o \
lapacke_cgejsv_work.o \
lapacke_cgelq.o \
lapacke_cgelq_work.o \
lapacke_cgelq2.o \
lapacke_cgelq2_work.o \
lapacke_cgelqf.o \
lapacke_cgelqf_work.o \
lapacke_cgels.o \
lapacke_cgels_work.o \
lapacke_cgelsd.o \
lapacke_cgelsd_work.o \
lapacke_cgelss.o \
lapacke_cgelss_work.o \
lapacke_cgelsy.o \
lapacke_cgelsy_work.o \
lapacke_cgemlq.o \
lapacke_cgemlq_work.o \
lapacke_cgemqr.o \
lapacke_cgemqr_work.o \
lapacke_cgemqrt.o \
lapacke_cgemqrt_work.o \
lapacke_cgeqlf.o \
lapacke_cgeqlf_work.o \
lapacke_cgeqp3.o \
lapacke_cgeqp3_work.o \
lapacke_cgeqr.o \
lapacke_cgeqr_work.o \
lapacke_cgeqr2.o \
lapacke_cgeqr2_work.o \
lapacke_cgeqrf.o \
lapacke_cgeqrf_work.o \
lapacke_cgeqrfp.o \
lapacke_cgeqrfp_work.o \
lapacke_cgeqrt.o \
lapacke_cgeqrt_work.o \
lapacke_cgeqrt2.o \
lapacke_cgeqrt2_work.o \
lapacke_cgeqrt3.o \
lapacke_cgeqrt3_work.o \
lapacke_cgerfs.o \
lapacke_cgerfs_work.o \
lapacke_cgerqf.o \
lapacke_cgerqf_work.o \
lapacke_cgesdd.o \
lapacke_cgesdd_work.o \
lapacke_cgedmd.o \
lapacke_cgedmd_work.o \
lapacke_cgedmdq.o \
lapacke_cgedmdq_work.o \
lapacke_cgesv.o \
lapacke_cgesv_work.o \
lapacke_cgesvd.o \
lapacke_cgesvd_work.o \
lapacke_cgesvdq.o \
lapacke_cgesvdq_work.o \
lapacke_cgesvdx.o \
lapacke_cgesvdx_work.o \
lapacke_cgesvj.o \
lapacke_cgesvj_work.o \
lapacke_cgesvx.o \
lapacke_cgesvx_work.o \
lapacke_cgetf2.o \
lapacke_cgetf2_work.o \
lapacke_cgetrf.o \
lapacke_cgetrf_work.o \
lapacke_cgetrf2.o \
lapacke_cgetrf2_work.o \
lapacke_cgetri.o \
lapacke_cgetri_work.o \
lapacke_cgetrs.o \
lapacke_cgetrs_work.o \
lapacke_cgetsls.o \
lapacke_cgetsls_work.o \
lapacke_cgetsqrhrt.o \
lapacke_cgetsqrhrt_work.o \
lapacke_cggbak.o \
lapacke_cggbak_work.o \
lapacke_cggbal.o \
lapacke_cggbal_work.o \
lapacke_cgges.o \
lapacke_cgges_work.o \
lapacke_cgges3.o \
lapacke_cgges3_work.o \
lapacke_cggesx.o \
lapacke_cggesx_work.o \
lapacke_cggev.o \
lapacke_cggev_work.o \
lapacke_cggev3.o \
lapacke_cggev3_work.o \
lapacke_cggevx.o \
lapacke_cggevx_work.o \
lapacke_cggglm.o \
lapacke_cggglm_work.o \
lapacke_cgghd3.o \
lapacke_cgghd3_work.o \
lapacke_cgghrd.o \
lapacke_cgghrd_work.o \
lapacke_cgglse.o \
lapacke_cgglse_work.o \
lapacke_cggqrf.o \
lapacke_cggqrf_work.o \
lapacke_cggrqf.o \
lapacke_cggrqf_work.o \
lapacke_cggsvd3.o \
lapacke_cggsvd3_work.o \
lapacke_cggsvp3.o \
lapacke_cggsvp3_work.o \
lapacke_cgtcon.o \
lapacke_cgtcon_work.o \
lapacke_cgtrfs.o \
lapacke_cgtrfs_work.o \
lapacke_cgtsv.o \
lapacke_cgtsv_work.o \
lapacke_cgtsvx.o \
lapacke_cgtsvx_work.o \
lapacke_cgttrf.o \
lapacke_cgttrf_work.o \
lapacke_cgttrs.o \
lapacke_cgttrs_work.o \
lapacke_chbev.o \
lapacke_chbev_work.o \
lapacke_chbev_2stage.o \
lapacke_chbev_2stage_work.o \
lapacke_chbevd.o \
lapacke_chbevd_work.o \
lapacke_chbevd_2stage.o \
lapacke_chbevd_2stage_work.o \
lapacke_chbevx.o \
lapacke_chbevx_work.o \
lapacke_chbevx_2stage.o \
lapacke_chbevx_2stage_work.o \
lapacke_chbgst.o \
lapacke_chbgst_work.o \
lapacke_chbgv.o \
lapacke_chbgv_work.o \
lapacke_chbgvd.o \
lapacke_chbgvd_work.o \
lapacke_chbgvx.o \
lapacke_chbgvx_work.o \
lapacke_chbtrd.o \
lapacke_chbtrd_work.o \
lapacke_checon.o \
lapacke_checon_work.o \
lapacke_checon_3.o \
lapacke_checon_3_work.o \
lapacke_cheequb.o \
lapacke_cheequb_work.o \
lapacke_cheev.o \
lapacke_cheev_work.o \
lapacke_cheev_2stage.o \
lapacke_cheev_2stage_work.o \
lapacke_cheevd.o \
lapacke_cheevd_work.o \
lapacke_cheevd_2stage.o \
lapacke_cheevd_2stage_work.o \
lapacke_cheevr.o \
lapacke_cheevr_work.o \
lapacke_cheevr_2stage.o \
lapacke_cheevr_2stage_work.o \
lapacke_cheevx.o \
lapacke_cheevx_work.o \
lapacke_cheevx_2stage.o \
lapacke_cheevx_2stage_work.o \
lapacke_chegst.o \
lapacke_chegst_work.o \
lapacke_chegv.o \
lapacke_chegv_work.o \
lapacke_chegv_2stage.o \
lapacke_chegv_2stage_work.o \
lapacke_chegvd.o \
lapacke_chegvd_work.o \
lapacke_chegvx.o \
lapacke_chegvx_work.o \
lapacke_cherfs.o \
lapacke_cherfs_work.o \
lapacke_chesv.o \
lapacke_chesv_work.o \
lapacke_chesv_aa.o \
lapacke_chesv_aa_work.o \
lapacke_chesv_aa_2stage.o \
lapacke_chesv_aa_2stage_work.o \
lapacke_chesv_rk.o \
lapacke_chesv_rk_work.o \
lapacke_chesvx.o \
lapacke_chesvx_work.o \
lapacke_cheswapr.o \
lapacke_cheswapr_work.o \
lapacke_chetrd.o \
lapacke_chetrd_work.o \
lapacke_chetrf.o \
lapacke_chetrf_work.o \
lapacke_chetrf_aa.o \
lapacke_chetrf_aa_work.o \
lapacke_chetrf_aa_2stage.o \
lapacke_chetrf_aa_2stage_work.o \
lapacke_chetrf_rk.o \
lapacke_chetrf_rk_work.o \
lapacke_chetrf_rook.o \
lapacke_chetrf_rook_work.o \
lapacke_chetri.o \
lapacke_chetri_work.o \
lapacke_chetri2.o \
lapacke_chetri2_work.o \
lapacke_chetri2x.o \
lapacke_chetri2x_work.o \
lapacke_chetri_3.o \
lapacke_chetri_3_work.o \
lapacke_chetrs.o \
lapacke_chetrs_work.o \
lapacke_chetrs2.o \
lapacke_chetrs2_work.o \
lapacke_chetrs_3.o \
lapacke_chetrs_3_work.o \
lapacke_chetrs_aa.o \
lapacke_chetrs_aa_work.o \
lapacke_chetrs_aa_2stage.o \
lapacke_chetrs_aa_2stage_work.o \
lapacke_chetrs_rook.o \
lapacke_chetrs_rook_work.o \
lapacke_chfrk.o \
lapacke_chfrk_work.o \
lapacke_chgeqz.o \
lapacke_chgeqz_work.o \
lapacke_chpcon.o \
lapacke_chpcon_work.o \
lapacke_chpev.o \
lapacke_chpev_work.o \
lapacke_chpevd.o \
lapacke_chpevd_work.o \
lapacke_chpevx.o \
lapacke_chpevx_work.o \
lapacke_chpgst.o \
lapacke_chpgst_work.o \
lapacke_chpgv.o \
lapacke_chpgv_work.o \
lapacke_chpgvd.o \
lapacke_chpgvd_work.o \
lapacke_chpgvx.o \
lapacke_chpgvx_work.o \
lapacke_chprfs.o \
lapacke_chprfs_work.o \
lapacke_chpsv.o \
lapacke_chpsv_work.o \
lapacke_chpsvx.o \
lapacke_chpsvx_work.o \
lapacke_chptrd.o \
lapacke_chptrd_work.o \
lapacke_chptrf.o \
lapacke_chptrf_work.o \
lapacke_chptri.o \
lapacke_chptri_work.o \
lapacke_chptrs.o \
lapacke_chptrs_work.o \
lapacke_chsein.o \
lapacke_chsein_work.o \
lapacke_chseqr.o \
lapacke_chseqr_work.o \
lapacke_clacgv.o \
lapacke_clacgv_work.o \
lapacke_clacn2.o \
lapacke_clacn2_work.o \
lapacke_clacp2.o \
lapacke_clacp2_work.o \
lapacke_clacpy.o \
lapacke_clacpy_work.o \
lapacke_clacrm.o \
lapacke_clacrm_work.o \
lapacke_clag2z.o \
lapacke_clag2z_work.o \
lapacke_clangb.o \
lapacke_clangb_work.o \
lapacke_clange.o \
lapacke_clange_work.o \
lapacke_clanhe.o \
lapacke_clanhe_work.o \
lapacke_clansy.o \
lapacke_clansy_work.o \
lapacke_clantr.o \
lapacke_clantr_work.o \
lapacke_clapmr.o \
lapacke_clapmr_work.o \
lapacke_clapmt.o \
lapacke_clapmt_work.o \
lapacke_clarcm.o \
lapacke_clarcm_work.o \
lapacke_clarfb.o \
lapacke_clarfb_work.o \
lapacke_clarfg.o \
lapacke_clarfg_work.o \
lapacke_clarft.o \
lapacke_clarft_work.o \
lapacke_clarfx.o \
lapacke_clarfx_work.o \
lapacke_clarnv.o \
lapacke_clarnv_work.o \
lapacke_clascl.o \
lapacke_clascl_work.o \
lapacke_claset.o \
lapacke_claset_work.o \
lapacke_classq.o \
lapacke_classq_work.o \
lapacke_claswp.o \
lapacke_claswp_work.o \
lapacke_clauum.o \
lapacke_clauum_work.o \
lapacke_cpbcon.o \
lapacke_cpbcon_work.o \
lapacke_cpbequ.o \
lapacke_cpbequ_work.o \
lapacke_cpbrfs.o \
lapacke_cpbrfs_work.o \
lapacke_cpbstf.o \
lapacke_cpbstf_work.o \
lapacke_cpbsv.o \
lapacke_cpbsv_work.o \
lapacke_cpbsvx.o \
lapacke_cpbsvx_work.o \
lapacke_cpbtrf.o \
lapacke_cpbtrf_work.o \
lapacke_cpbtrs.o \
lapacke_cpbtrs_work.o \
lapacke_cpftrf.o \
lapacke_cpftrf_work.o \
lapacke_cpftri.o \
lapacke_cpftri_work.o \
lapacke_cpftrs.o \
lapacke_cpftrs_work.o \
lapacke_cpocon.o \
lapacke_cpocon_work.o \
lapacke_cpoequ.o \
lapacke_cpoequ_work.o \
lapacke_cpoequb.o \
lapacke_cpoequb_work.o \
lapacke_cporfs.o \
lapacke_cporfs_work.o \
lapacke_cposv.o \
lapacke_cposv_work.o \
lapacke_cposvx.o \
lapacke_cposvx_work.o \
lapacke_cpotrf.o \
lapacke_cpotrf_work.o \
lapacke_cpotrf2.o \
lapacke_cpotrf2_work.o \
lapacke_cpotri.o \
lapacke_cpotri_work.o \
lapacke_cpotrs.o \
lapacke_cpotrs_work.o \
lapacke_cppcon.o \
lapacke_cppcon_work.o \
lapacke_cppequ.o \
lapacke_cppequ_work.o \
lapacke_cpprfs.o \
lapacke_cpprfs_work.o \
lapacke_cppsv.o \
lapacke_cppsv_work.o \
lapacke_cppsvx.o \
lapacke_cppsvx_work.o \
lapacke_cpptrf.o \
lapacke_cpptrf_work.o \
lapacke_cpptri.o \
lapacke_cpptri_work.o \
lapacke_cpptrs.o \
lapacke_cpptrs_work.o \
lapacke_cpstrf.o \
lapacke_cpstrf_work.o \
lapacke_cptcon.o \
lapacke_cptcon_work.o \
lapacke_cpteqr.o \
lapacke_cpteqr_work.o \
lapacke_cptrfs.o \
lapacke_cptrfs_work.o \
lapacke_cptsv.o \
lapacke_cptsv_work.o \
lapacke_cptsvx.o \
lapacke_cptsvx_work.o \
lapacke_cpttrf.o \
lapacke_cpttrf_work.o \
lapacke_cpttrs.o \
lapacke_cpttrs_work.o \
lapacke_cspcon.o \
lapacke_cspcon_work.o \
lapacke_csprfs.o \
lapacke_csprfs_work.o \
lapacke_cspsv.o \
lapacke_cspsv_work.o \
lapacke_cspsvx.o \
lapacke_cspsvx_work.o \
lapacke_csptrf.o \
lapacke_csptrf_work.o \
lapacke_csptri.o \
lapacke_csptri_work.o \
lapacke_csptrs.o \
lapacke_csptrs_work.o \
lapacke_cstedc.o \
lapacke_cstedc_work.o \
lapacke_cstegr.o \
lapacke_cstegr_work.o \
lapacke_cstein.o \
lapacke_cstein_work.o \
