=== debian/changelog ===
lapack (3.12.1-7ubuntu1) resolute; urgency=medium

  * d/rules: switch sed separator for LDFLAGS to cope with dpkg (LP: #2138222)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 12 Jan 2026 13:30:09 -0500

lapack (3.12.1-7) unstable; urgency=medium

   * Team upload
   * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Sep 2025 09:51:09 +0000

lapack (3.12.1-6) unstable; urgency=medium

  * Revise the deps for libatlas3-base (transitional) as suggested in #1110359
    Thanks to Simon McVittie for the suggestion.

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Aug 2025 13:26:25 -0400

lapack (3.12.1-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix libatlas3-base: insufficient dependency on libblas3 (Closes: #1110359)

 -- Mo Zhou <lumin@debian.org>  Tue, 05 Aug 2025 16:53:57 -0400

lapack (3.12.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 19 Jul 2025 21:40:05 -0400

lapack (3.12.1-3) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add libatlas3-base transitional dummy package (Closes: #1109176)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Jul 2025 14:35:40 +0200

lapack (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 27 Jan 2025 19:54:31 -0500

lapack (3.12.1-1) experimental; urgency=medium

  * New upstream version 3.12.1 (Jan 2025)
  * Remove patches that were merged to upstream, and refresh remaining ones.
  * d/rules: real.3 and imag.3 no longer exists.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 14 Jan 2025 11:19:47 -0500

lapack (3.12.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS
    + Translate gfortran dependency to gfortran-for-host.
    + Annotate test dependency python3 with the nocheck profile.
    (Closes: #1086680)

  [ Sébastien Villemot ]
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Nov 2024 11:13:36 +0100
